.employeeCard {
    position: relative;
    display: flex;
    background: #fff;
    padding: 16px;
    border-radius: 8px;
    gap: 32px;
    border: 1px solid #D8D8D8;

    &__code {
        font-weight: 400;
        font-size: 15px;
        line-height: 18px;
        letter-spacing: 0.2px;
        color: #2E78E8;
        margin-bottom: -8px;
    }

    &__name {
        font-weight: 400;
        font-size: 18px;
        line-height: 22px;
        letter-spacing: 0.15px;
        color: #000000;
        margin-bottom: 8px;
    }

    &__text {
        font-weight: 400;
        font-size: 15px;
        line-height: 18px;
        letter-spacing: 0.2px;
        color: #8D8D8D;

        &:not(:last-child) {
            margin-bottom: 2px;
        }
    }

    &__additive{
        position: absolute;
        top: 8px;
        right: 8px;
        display: flex;
        gap: 8px;
        align-items: flex-start;
        justify-content: flex-end;
    }

    &__image {
        height: 90px;
        width: 90px;
        border-radius: 10px;
        object-fit: cover;
    }

    &__info {
        display: flex;
        flex-direction: column;
        justify-content: center;
        flex: 1;
        gap: 8px;

        >* {
            width: fit-content;
        }
    }

    &--extended {
        .employeeCard__image {
            height: 140px;
            width: 140px;
        }
    }

    &--pointer {
        cursor: pointer;
    }

    &--fired {
        .employeeCard__info {
            opacity: 0.3;
        }

        .employeeCard__image {
            opacity: 0.3;
        }

        &:not(.employeeCard--extended) {
            .employeeCard__additive {
                opacity: 0.4;
            }
        }
    }

    &__inputRow {
        display: flex;
        gap: 8px;
        width: fit-content;
    }
    
    &__positionInput {
        width: 466px !important;
    }
}